org.apache.tiles.core.util

## Class CombinedBeanInfo

- java.lang.Object
- - org.apache.tiles.core.util.CombinedBeanInfo

-     public class CombinedBeanInfo
      extends Object

  Contains the bean infos about one or more classes.
  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CombinedBeanInfo(Class<?>... clazzes)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FeatureDescriptor>` | `getDescriptors()` Returns the descriptors of all the introspected classes.
    `Map<String,PropertyDescriptor>` | `getMappedDescriptors(Class<?> clazz)` Returns a map of the introspected properties for the given class.
    `Set<String>` | `getProperties(Class<?> clazz)` Returns the set of properties for the given introspected class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CombinedBeanInfo

          public CombinedBeanInfo(Class<?>... clazzes)

      Constructor.
      Parameters:
        `clazzes` - The list of classes to analyze and combine.
      Since:
        2.2.0

  - ### Method Detail

    - #### getDescriptors

          public List<FeatureDescriptor> getDescriptors()

      Returns the descriptors of all the introspected classes.
      Returns:
        The feature descriptors.
      Since:
        2.2.0

    - #### getMappedDescriptors

          public Map<String,PropertyDescriptor> getMappedDescriptors(Class<?> clazz)

      Returns a map of the introspected properties for the given class.
      Parameters:
        `clazz` - The class to get the properties from.
      Returns:
        The map of property descriptors.
      Since:
        2.2.0

    - #### getProperties

          public Set<String> getProperties(Class<?> clazz)

      Returns the set of properties for the given introspected class.
      Parameters:
        `clazz` - The class to get the properties from.
      Returns:
        The set of properties.
      Since:
        2.2.0

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.